/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.json;

/**
 * Json运行时异常
 *
 * @version v1.5.2 @author zouzhigang 2020-3-29 新建与整理
 */
public class JsonException extends RuntimeException
{
    private static final long serialVersionUID = 1L;

    public JsonException(String message)
    {
        super(message);
    }
    
    public JsonException(Throwable e)
    {
        super(e);
    }
    
    public JsonException(String message, Throwable e)
    {
        super(message, e);
    }
}
