/*
 * 版权所有 (C) 2015 知启蒙(ZHIQIM) 保留所有权利。[遇见知启蒙，邂逅框架梦]
 * 
 * https://zhiqim.org/project/zhiqim_framework/zhiqim_kernel.htm
 *
 * Zhiqim Kernel is licensed under Mulan PSL v2.
 * You can use this software according to the terms and conditions of the Mulan PSL v2.
 * You may obtain a copy of Mulan PSL v2 at:
 *          http://license.coscl.org.cn/MulanPSL2
 * THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
 * EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
 * MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
 * See the Mulan PSL v2 for more details.
 */
package org.zhiqim.kernel.model.objects;

/**
 * 字符串定义，含值和描述，用于需要描述值时的常量或变量
 * 
 * @version v1.0.0 @author zouzhigang 2014-2-27 新建与整理
 */
public final class Str
{
    private String value;
    private String desc;
    
    public Str(String value, String desc)
    {
        this.value = value;
        this.desc = desc;
    }
    
    public String value()
    {
        return value;
    }
    
     public String desc()
    {
        return desc;
    }
    
    public String toString()
    {
        return new StringBuilder("Str:[")
            .append("value=").append(value).append(";")
            .append("desc=").append(desc).append("]")
            .toString();
    }
}